Modify

Opened 8 years ago

Closed 5 years ago

#996 closed defect (fixed)

Changes not ordered chronologically on admin page

Reported by: eblot Owned by: k0s
Priority: normal Component: TicketDeletePlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

I just went on t.e.o. to delete a spam comment, and the selected comment appeared in second position, while previous comments (dated '04) appeared before and after the selected comment.

Attachments (0)

Change History (3)

comment:1 follow-up: Changed 5 years ago by rjollos

  • Summary changed from Invalid by-date ordering to Changes not ordered chronologically on admin page

I'm seeing the same problem on the Delete Ticket Changes page with Trac 0.11.4. For a recent ticket, the changes are ordered as follows:

Change at Fri, 10 Jul 2009 23:25:13 by ryano
Change at Mon, 13 Jul 2009 22:30:10 by ryano
Change at Fri, 10 Jul 2009 23:26:19 by ryano
Change at Mon, 13 Jul 2009 07:20:37 by ryano
Change at Sat, 11 Jul 2009 01:33:34 by ryano

This does not agree with the ordering of the changes in the ticket, or any other sort of logical ordering.

comment:2 in reply to: ↑ 1 Changed 5 years ago by k0s

  • Owner changed from coderanger to k0s
  • Status changed from new to assigned

Replying to rjollos:

I'm seeing the same problem on the Delete Ticket Changes page with Trac 0.11.4. For a recent ticket, the changes are ordered as follows:

Change at Fri, 10 Jul 2009 23:25:13 by ryano
Change at Mon, 13 Jul 2009 22:30:10 by ryano
Change at Fri, 10 Jul 2009 23:26:19 by ryano
Change at Mon, 13 Jul 2009 07:20:37 by ryano
Change at Sat, 11 Jul 2009 01:33:34 by ryano

This does not agree with the ordering of the changes in the ticket, or any other sort of logical ordering.

They are in python dictionary key order, for the record

comment:3 Changed 5 years ago by k0s

  • Resolution set to fixed
  • Status changed from assigned to closed

(In [6924]) sort by datestamp; fixes #996

Add Comment

Modify Ticket

Action
as closed The owner will remain k0s.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.